Bug 433320 - Applet setting "show_requestShutDown=false" has no effect
Summary: Applet setting "show_requestShutDown=false" has no effect
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Lock/logout (show other bugs)
Version: 5.21.0
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-20 12:00 UTC by Peter K.
Modified: 2021-02-23 04:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter K. 2021-02-20 12:00:43 UTC
SUMMARY
Setting "show_requestShutDown=false" has no effect. Shutdown icon is always visible.

STEPS TO REPRODUCE
1. Set applet settings to hide Shutdown icon
2. 
3. 

OBSERVED RESULT
Shudown icon visible

EXPECTED RESULT
Shutdown icon not visible

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: openSUSE Leap 15.2
(available in About System)
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Comment 1 David Edmundson 2021-02-22 23:19:23 UTC
Git commit 716514725a9c5cbc911f3e9ecb73828bf2d7cf0b by David Edmundson.
Committed on 22/02/2021 at 23:19.
Pushed by davidedmundson into branch 'master'.

Fix case in logout applet config key

M  +1    -1    applets/lock_logout/contents/ui/data.js

https://invent.kde.org/plasma/plasma-workspace/commit/716514725a9c5cbc911f3e9ecb73828bf2d7cf0b
Comment 2 David Edmundson 2021-02-22 23:19:42 UTC
Git commit d9a32341623bc63e27b8cac2702bd03c39841dbd by David Edmundson.
Committed on 22/02/2021 at 23:19.
Pushed by davidedmundson into branch 'Plasma/5.21'.

Fix case in logout applet config key


(cherry picked from commit 716514725a9c5cbc911f3e9ecb73828bf2d7cf0b)

M  +1    -1    applets/lock_logout/contents/ui/data.js

https://invent.kde.org/plasma/plasma-workspace/commit/d9a32341623bc63e27b8cac2702bd03c39841dbd